## ros-humble-leo-fw 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(leo_fw)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(leo_msgs REQUIRED)
find_package(yaml-cpp REQUIRED)

include_directories(
  ${YAML_CPP_INCLUDE_DIRS}
)

add_library(leo_fw SHARED
  src/firmware_message_converter.cpp
)
target_link_libraries(leo_fw
  rclcpp::rclcpp
  rclcpp_components::component
  ${YAML_CPP_LIBRARIES}
)
ament_target_dependencies(leo_fw
  sensor_msgs
  leo_msgs
  nav_msgs
)
rclcpp_components_register_node(leo_fw
  PLUGIN "leo_fw::FirmwareMessageConverter"
  EXECUTABLE "firmware_message_converter"
)

ament_python_install_package(${PROJECT_NAME})

install(
  TARGETS leo_fw
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

install(
  PROGRAMS
    scripts/flash
    scripts/update
    scripts/test_hw
    scripts/calibrate_imu
  DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY data
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-leo-fw (1.3.0-1jammy) jammy; urgency=high

  * Show which wheels failed when testing encoders or torque sensors
  * Update hw tests
  * Refactor test result printing
  * Add timeout for get_board_type and get_firmware_version services
  * Include newer firmware binaries
  * Use DirectNode in hardware tester
  * Update flash logic
  * Fix checking if uros agent is active when the service is disabled
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 11 Jan 2023 00:00:00 -0000

ros-humble-leo-fw (1.2.1-1jammy) jammy; urgency=high

  * Fix resolving firmware topic names in firmware_message_converter
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 30 Nov 2022 00:00:00 -0000

ros-humble-leo-fw (1.2.0-1jammy) jammy; urgency=high

  * Fix test_hw script
  * Update leocore firmware to version 1.0.1
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 21 Sep 2022 00:00:00 -0000

ros-humble-leo-fw (1.1.0-1jammy) jammy; urgency=high

  * Add IMU gyro calibration (#3 <https://github.com/LeoRover/leo_robot-ros2/issues/3>)
  * Contributors: Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Wed, 31 Aug 2022 00:00:00 -0000

ros-humble-leo-fw (1.0.1-1jammy) jammy; urgency=high

  * Add firmware binaries
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 10 Aug 2022 00:00:00 -0000

ros-humble-leo-fw (1.0.0-1jammy) jammy; urgency=high

  * Initial ROS2 port
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 10 Aug 2022 00:00:00 -0000

=== debian/control ===
Source: ros-humble-leo-fw
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-python, ros-humble-leo-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/leo_fw
Standards-Version: 3.9.2

Package: ros-humble-leo-fw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dbus, python3-whichcraft, python3-yaml, ros-humble-ament-index-python, ros-humble-geometry-msgs, ros-humble-leo-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclpy, ros-humble-ros2cli, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Binary releases of Leo Rover firmware and related utilities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-fw//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-leo-fw 1.4.0

=== debian/changelog ===
ros-humble-leo-fw (1.4.0-1bookworm) bookworm; urgency=high

  * Update firmware binaries
  * Move ImuCalibrator node into leo_fw package (#8 <https://github.com/LeoRover/leo_robot-ros2/issues/8>)
  * Add firmware parameter bridge (#4 <https://github.com/LeoRover/leo_robot-ros2/issues/4>)
  * Sort dependencies in package.xml
  * Update copyright notices in source files
  * Use ament cmake tests via colcon (#7 <https://github.com/LeoRover/leo_robot-ros2/issues/7>)
  * Mecanum Wheel Odometry in firmware_message_converter (#5 <https://github.com/LeoRover/leo_robot-ros2/issues/5>)
  * Reformat code
  * Remove redundant imports from calibrate_imu script
  * Contributors: Aleksander Szymański, Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 14 Nov 2023 16:00:00 -0000

ros-humble-leo-fw (1.3.0-1bookworm) bookworm; urgency=high

  * Show which wheels failed when testing encoders or torque sensors
  * Update hw tests
  * Refactor test result printing
  * Add timeout for get_board_type and get_firmware_version services
  * Include newer firmware binaries
  * Use DirectNode in hardware tester
  * Update flash logic
  * Fix checking if uros agent is active when the service is disabled
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 10 Jan 2023 16:00:00 -0000

ros-humble-leo-fw (1.2.1-1bookworm) bookworm; urgency=high

  * Fix resolving firmware topic names in firmware_message_converter
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 29 Nov 2022 16:00:00 -0000

ros-humble-leo-fw (1.2.0-1bookworm) bookworm; urgency=high

  * Fix test_hw script
  * Update leocore firmware to version 1.0.1
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 20 Sep 2022 16:00:00 -0000

ros-humble-leo-fw (1.1.0-1bookworm) bookworm; urgency=high

  * Add IMU gyro calibration (#3 <https://github.com/LeoRover/leo_robot-ros2/issues/3>)
  * Contributors: Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Tue, 30 Aug 2022 16:00:00 -0000

ros-humble-leo-fw (1.0.1-1bookworm) bookworm; urgency=high

  * Add firmware binaries
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 09 Aug 2022 16:00:00 -0000

ros-humble-leo-fw (1.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS2 port
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 09 Aug 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-leo-fw
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-black <!nocheck>, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-mypy <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-leo-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/leo_fw
Standards-Version: 3.9.2

Package: ros-humble-leo-fw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dbus, python3-numpy, python3-whichcraft, python3-yaml, ros-humble-ament-index-python, ros-humble-geometry-msgs, ros-humble-leo-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclpy, ros-humble-ros2cli, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Binary releases of Leo Rover firmware and related utilities

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-fw//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-fw//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-leo-fw//opt/ros/humble/opt/leo_fw/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
